Subject: Re: [PATCH net] net/ipv6: Revert attempt to simplify route replace and append

From: Ido Schimmel <[email-masked]>
Date: Thu, 5 Jul 2018 00:10:41 +0300

On Tue, Jul 03, 2018 at 02:02:06PM -0600, David Ahern wrote:
> It is unfortunate that mlxsw has to replicate the node lookup code.

The kernel can store multiple routes with the same prefix/length, but
only one is used for forwarding. Thus when a route is deleted it should
be potentially overwritten by a different route in the device's tables.
This is why mlxsw stores these nodes.

We can have the IPv4/IPv6 code only generate a REPLACE / DELETE
notification for routes that are actually used for forwarding and
relieve listeners from the need to implement this logic themselves. I
think this should work.

?